Go to advanced search

by remkolodder
Mon Jul 20, 2015 11:32 am
Forum: Advanced users
Topic: Linux kernel is now 4.0
Replies: 182
Views: 90594

Re: Linux kernel is now 4.0

Yes you are right. Thank you! (could have figured that out myself, bwah :))

cheers
Remko
by remkolodder
Mon Jul 20, 2015 11:30 am
Forum: Advanced users
Topic: Linux kernel is now 4.0
Replies: 182
Views: 90594

Re: Linux kernel is now 4.0

Ah, is that what start_x means. I thought that meant starting the X-window system. Let me retry. I'll report back in a few minutes ;)
by remkolodder
Sat Jul 18, 2015 7:59 pm
Forum: Advanced users
Topic: Linux kernel is now 4.0
Replies: 182
Views: 90594

Re: Linux kernel is now 4.0

Hi dom, Yes ofcourse: $ cat /boot/config.txt # For more options and information see # http://www.raspberrypi.org/documentation/configuration/config-txt.md # Some settings may impact device functionality. See link above for details # uncomment if you get no picture on HDMI for a default "safe" mode #...
by remkolodder
Fri Jul 17, 2015 9:15 pm
Forum: Advanced users
Topic: Linux kernel is now 4.0
Replies: 182
Views: 90594

Re: Linux kernel is now 4.0

Both on the rasp-B and the rasp-B2 the same results now: $ sudo vcdbg log msg 000682.553: HDMI:EDID error reading EDID block 0 attempt 0 000683.817: HDMI:EDID error reading EDID block 0 attempt 1 000685.076: HDMI:EDID error reading EDID block 0 attempt 2 000686.335: HDMI:EDID error reading EDID bloc...
by remkolodder
Fri Jul 17, 2015 6:58 pm
Forum: Advanced users
Topic: Linux kernel is now 4.0
Replies: 182
Views: 90594

Re: Linux kernel is now 4.0

@PhilE: [ 11.868459] Linux video capture interface: v2.00 [ 12.001140] : bcm2835-v4l2: error -1 while loading driver Those are the lines from dmesg now, after changing it to 128mb, which is a better line than before. $ vcgencmd get_camera supported=0 detected=0 $ vcgencmd get_mem gpu gpu=128M No /de...
by remkolodder
Fri Jul 17, 2015 1:10 pm
Forum: Advanced users
Topic: Linux kernel is now 4.0
Replies: 182
Views: 90594

Re: Linux kernel is now 4.0

There is no /dev/video0 on my machine. For the other questions: $ vcgencmd get_mem gpu gpu=16M $ vcgencmd get_camera supported=0 detected=0 The camera is properly seated on both active PI's that have a camera. It worked till the upgrade so I would rule out that issue :) I need to mention that I too...
by remkolodder
Fri Jul 17, 2015 12:58 pm
Forum: Advanced users
Topic: Linux kernel is now 4.0
Replies: 182
Views: 90594

Re: Linux kernel is now 4.0

There is no /dev/video0 on my machine.

For the other questions:

$ vcgencmd get_mem gpu
gpu=16M
$ vcgencmd get_camera
supported=0 detected=0

The camera is properly seated on both active PI's that have a camera. It worked till the upgrade so I would rule out that issue :)
by remkolodder
Fri Jul 17, 2015 10:47 am
Forum: Advanced users
Topic: Linux kernel is now 4.0
Replies: 182
Views: 90594

Re: Linux kernel is now 4.0

start_x=1
gpu_mem=16
disable_camera_led=1

edit: remove the incorrect output and replace it with the correct one:

and for the other command...
pi3 $ sudo vcdbg log msg
Unable to determine the value of __LOG_START
Unable to read logging_header from 0x00000000
by remkolodder
Fri Jul 17, 2015 10:31 am
Forum: Advanced users
Topic: Linux kernel is now 4.0
Replies: 182
Views: 90594

Re: Linux kernel is now 4.0

Right, this is from the bootup of the Pi, so I expect that this is the modprobe/insmod situation. Edit: When I manually do the modprobe of the driver: $ sudo modprobe bcm2835_v4l2 (dmesg output): 8164.440242] bcm2835_v4l2: Failed to open VCHI service connection (status=-1) [ 8164.440302] : bcm2835-v...
by remkolodder
Fri Jul 17, 2015 9:51 am
Forum: Advanced users
Topic: Linux kernel is now 4.0
Replies: 182
Views: 90594

Re: Linux kernel is now 4.0

Hi Phil,

I did a 'dmesg' to see that line. I am also missing /dev/video devicepointers so that motion for example does not detect a videodevice after updating to 4.x
by remkolodder
Fri Jul 17, 2015 8:16 am
Forum: Advanced users
Topic: Linux kernel is now 4.0
Replies: 182
Views: 90594

Re: Linux kernel is now 4.0

Hi, It seems that the videocore does not yet support 4.x? [ 6.863205] Linux video capture interface: v2.00 [ 6.935121] bcm2835_v4l2: Failed to open VCHI service connection (status=-1) [ 6.943773] : bcm2835-v4l2: error -19 while loading driver $ uname -a Linux pi3 4.0.8-v7+ #805 SMP PREEMPT Thu Jul 1...

Go to advanced search